Subject: Re: git push to a non-bare repository

From: Sam Vilain <[email-masked]>
Date: Mon, 19 Mar 2007 09:51:03 +1200

Junio C Hamano wrote:
>> I don't understand the design choice here: git had two options to
>> avoid this scenario:
>>     
>
> Actually, there are no such "design choices".  That's entirely
> up to the repository owners to arrange post-update hook, to
> allow you to do anything you want.  
>
> The default is not to encourage people (who do not know what
> they are doing anyway) to push into non-bare repository.
>   

Maybe it's worth making it an error (that can be forced) if you're
pushing to the head that's checked out in a non-bare repository ?

It's pretty nasty behaviour for people used to darcs / bzr et al.

Sam.